from setuptools import setup, find_packages

setup(
    name='kaipy',
    version='1.0.0',
    description='Python package for supporting the running and analysis of the Mutliscale Atmosphere Geospace Environment (MAGE) Model developed by the Center for Geospace Storms.',
    author='Center for Geospace Storms',
    author_email='wiltbemj@ucar.edu',
    url='https://bitbucket.org/aplkaiju/kaipy/src/master/',
    packages=find_packages(),
    python_requires='>=3.8, <3.10',
    install_requires=[
        'alive_progress',
        'astropy',
        #'cartopy',
        'cdasws',
        'configparser',
        'h5py',
        'jupyterlab',
        'matplotlib',
        'pandas',
        'progressbar',
        'pyhdf',
        'pyspedas',
        'pytest',
        'slack_sdk',
        'spacepy',
        'sphinx-rtd-theme',
        'sunpy',
    ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
)